corelinux::PoolDescriptor Struct Reference

PoolDescriptor stores information about the ownership and usage of a semaphore in the pool. More...

`#include <CoreLinuxGuardPool.hpp>`

## Public Attributes

Count | theQueueLength
| The number of Synchronized concurrent request.
Index | theGroupIndex
| The SemaphoreGroup that this semaphore belongs to.

## Detailed Description

PoolDescriptor stores information about the ownership and usage of a semaphore in the pool.

The documentation for this struct was generated from the following file:

- CoreLinuxGuardPool.hpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium